<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsNetworkScanner Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="struct_xs_network_scanner-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsNetworkScanner Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class will take care of instantiating/deleting the NetworkScanner and will act as reference Counter.  
 <a href="struct_xs_network_scanner.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a24c54f1845606eb4591ebd4c9f496274"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24c54f1845606eb4591ebd4c9f496274"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_network_scanner.html#a24c54f1845606eb4591ebd4c9f496274">XsNetworkScanner</a> ()</td></tr>
<tr class="memdesc:a24c54f1845606eb4591ebd4c9f496274"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor of the class. <br /></td></tr>
<tr class="separator:a24c54f1845606eb4591ebd4c9f496274"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adace38101e25b97aa2fae93ab3472da7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adace38101e25b97aa2fae93ab3472da7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_network_scanner.html#adace38101e25b97aa2fae93ab3472da7">~XsNetworkScanner</a> ()</td></tr>
<tr class="memdesc:adace38101e25b97aa2fae93ab3472da7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:adace38101e25b97aa2fae93ab3472da7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:ac46df0ec3b3c8af6fe51a81e59d736b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac46df0ec3b3c8af6fe51a81e59d736b4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_network_scanner.html#ac46df0ec3b3c8af6fe51a81e59d736b4">XsNetworkScanner_construct_int</a> ()</td></tr>
<tr class="memdesc:ac46df0ec3b3c8af6fe51a81e59d736b4"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="struct_xs_network_scanner.html" title="This class will take care of instantiating/deleting the NetworkScanner and will act as reference Coun...">XsNetworkScanner</a> constructor, it instantiates the NetworkScanner only once. <br /></td></tr>
<tr class="separator:ac46df0ec3b3c8af6fe51a81e59d736b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a162affc0a285e5ac953c30e3ecffb9b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a162affc0a285e5ac953c30e3ecffb9b7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_network_scanner.html#a162affc0a285e5ac953c30e3ecffb9b7">XsNetworkScanner_destruct_int</a> ()</td></tr>
<tr class="memdesc:a162affc0a285e5ac953c30e3ecffb9b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a162affc0a285e5ac953c30e3ecffb9b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class will take care of instantiating/deleting the NetworkScanner and will act as reference Counter. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
